package com.qgs.dc.influx.controller;

import com.influxdb.client.domain.WritePrecision;
import com.influxdb.client.write.Point;
import com.qgs.dc.influx.config.InfluxClient;
import com.qgs.dc.influx.param.InsertParam;
import com.qgs.dc.influx.template.Event;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import java.time.Instant;
import java.util.ArrayList;
import java.util.List;

@RestController
@RequestMapping("/influx")
public class InfluxDemoController {
    private static final Logger logger = LoggerFactory.getLogger(InfluxDemoController.class);



//       try (WriteApi writeApi = influxDBClient.makeWriteApi()) {
//            Temperature temperature = new Temperature();
//            temperature.setLocation("east");
//            temperature.setValue(106.2D);
//            temperature.setTime(Instant.now());
//            writeApi.writeMeasurement(WritePrecision.NS,temperature);
//        }
//
//        try (WriteApi writeApi = influxDBClient.makeWriteApi()) {
//            Point point = Point.measurement("temperature")
//                    .addTag("location","south")
//                    .addTag("owner","wxm")
//                    .addField("wxm",230.8);
//            writeApi.writePoint(point);
//        }


    @PostMapping("/insertBatch")
    public void insertBatch(@RequestBody InsertParam insertParam) throws InterruptedException {
        InfluxClient.Client.batchInsert(insertParam.getList(),insertParam.getMeasurement());
    }


    public Point insert(Event event, String measurement){
        Point point = Point.measurement(measurement)
                .addTag("transationId", event.getTransationId())
                .addTag("argName", event.getArgName())
                .addField("argValue", event.getArgValue())
                .time(event.getTime().toEpochMilli(), WritePrecision.MS);
        return point;

    }


    @PostMapping("/insert")
    public void insert() throws InterruptedException {
        Event event = new Event();
        event.setTime(Instant.now());
        event.setTransationId("asasd11");
        event.setArgName("argName11");
        event.setArgValue(99765d);
        Point asProcessCompleteEvent = insert(event, "ASProcessCompleteEvent");
        InfluxClient.Client.insert(event,"ASProcessCompleteEvent");
    }




}
