package com.qgs.dc.opcua.selfunion.entity;

import org.eclipse.milo.opcua.sdk.client.api.subscriptions.UaSubscription;

import java.util.HashMap;

public class SubscribeEntity {
    private UaSubscription uaSubscription;
    // 1 代表已经订阅成功  ；；； 2 代表 这个订阅以被取消
    private Integer status;

    //1 == 代表 展示型订阅；；2 == 代表 功能型(变量) 订阅；；3 == 代表 功能型(事件) 订阅
    private Integer type;

    /**
     * type == 1 的时候
     *      content 中包含所有的 节点信息（key:"ns,identifier"  value:""，，value 是空值，，只有当type==2 的时候才有意义）
     * type == 2 的时候
     *      content 就包含（key:"ns,identifier"  value:"后调函数的接口"）
     * */
    private HashMap<String,String> content;

    public SubscribeEntity(UaSubscription uaSubscription, Integer status,Integer type) {
        this.uaSubscription = uaSubscription;
        this.status = status;
        this.type = type;
        content = new HashMap<>();
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public HashMap<String, String> getContent() {
        return content;
    }

    public void setContent(HashMap<String, String> content) {
        this.content = content;
    }

    public UaSubscription getUaSubscription() {
        return uaSubscription;
    }

    public void setUaSubscription(UaSubscription uaSubscription) {
        this.uaSubscription = uaSubscription;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
